function [E F D] = Expression(K,Con)
 
%%
% user supplies the input concentration list 
P = Con(1);
S = Con(2);
X = Con(3);
 
%%
% user supplies the input parameter K 
k1 = K(1);
k2 = K(2);
k3 = K(3);
k4 = K(4);
k5 = K(5);
k6 = K(6);
k_1 = K(7);
k_2 = K(8);
k_3 = K(9);
k_4 = K(10);
k_5 = K(11);
k_6 = K(12);
 
%%
%  numerator
E(1) =  (k_1+k2)*k_3*k_4+(k_1+k2)*k_3*(k_5+k6)+(k_1+k2)*k_4*(k5*S+k_6*P)+k_3*(k_5+k6)*k4*X; 
E(2) =  (k1*S+k_2*P)*k_4*k_3+(k1*S+k_2*P)*k_3*(k_5+k6)+(k1*S+k_2*P)*k_4*(k5*S+k_6*P)+k_4*(k5*S+k_6*P)*k3*X; 
E(3) =  k4*X*(k1*S+k_2*P)*k_3+(k5*S+k_6*P)*k3*X*(k_1+k2)+k4*X*(k5*S+k_6*P)*(k1*S+k_2*P)+k4*X*(k5*S+k_6*P)*k3*X; 
E(4) =  k3*X*(k_1+k2)*k_4+k3*X*(k_5+k6)*(k_1+k2)+(k_5+k6)*k4*X*(k1*S+k_2*P)+k3*X*(k_5+k6)*k4*X; 
 
%%
% denominator 
D = E(1) + E(2) + E(3) + E(4); 
%%
% fractions 
F(1) = E(1)/D;
F(2) = E(2)/D;
F(3) = E(3)/D;
F(4) = E(4)/D;
